LFR-FSW - Bug #167

TC_LFR_LOAD_NORMAL_PAR avec SY_LFR_N_BP_PO0 = 0 fait planter le soft de vol
11/06/2014 04:41 PM - bruno katra

Status: Closed Start date: 11/06/2014
Priority: Immediate Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

L'envoi de TC_LFR_LOAD_NORMAL_PAR avec SY_LFR_N_BP_PO0 = 0 devrait renvoyé
TM_LFR_TC_EXE_ERROR_INCONSISTENT (vf bug #85) mais au lieu de ¢a le soft freeze :
- plus d'ack

- plus de HK

La vidéo jointe a cette issue montre ce qui se passe.

Contexte:

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_0.1.16

Brique Star-Dundee S/N 46120065.

Soft:1.0.0.8 (variante sur carte finale)

TEST CASE : script SY_LFR_N_BP_PO0_failure.py dans SVS-0008

Related issues:
Related to Bug #85: TC_LFR_LOAD_NORMAL_PAR: SY_LFR_N_ASM_P, SY_LFR_N_BP_PO et... Closed 12/03/2014

History

#1 - 12/06/2014 07:59 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to bruno katra

fsw >=1.0.0.9

bug identifié et corrigé

ajout d'un test de cohérence pour les valeurs sy_lfr_n_bp_p0 et sy _Ifr_n_bp_p1. Si la valeur proposée est inférieure a la valeur par défaut,
TM_LFR_TC_EXE_INCONSISTENT est générée

ATTENTION: régles des valeurs autorisées pour les parameétres a ajouter dans I'ICD:

=>sy_Ifr_n_bp_p1 doit étre un multiple entier de sy_Ifr_n_bp_b0 sinon émissions de TM_LFR_TC_EXE_INCONSISTENT
=> gy _Ifr_n_asm_p doit étre un multiple entier de sy_lfr_n_bp_p0

=>sy_lIfr_n_bp_pO0 doit étre supérieur a sa valeur par défaut

=>sy_lIfr_n_bp_p1 doit étre supérieur a sa valeur par défaut

#2 - 13/06/2014 02:16 PM - bruno katra

- Assignee changed from bruno katra to paul leroy

Restesté en 1.0.0.9 .

le bug est toujours présent :

L'envoi de TC_LFR_LOAD_NORMAL_PAR avec SY_LFR_N_BP_PO0 = 0 devrait renvoyé TM_LFR_TC_EXE_ERROR_INCONSISTENT (vf bug #85)
mais au lieu de ¢a le soft freeze :

- plus d'ack

- plus de HK

#3 - 17/06/2014 10:22 AM - paul leroy

- Assignee changed from paul leroy to bruno katra
https://hephaistos.lpp.polytechnique.fr/redmine/issues/85
https://hephaistos.lpp.polytechnique.fr/redmine/issues/85

fsw >=1.0.0.10

J'ai trouvé l'origine du bug, c'est une division par zéro qui stoppait LFR. C'est corrigé. J'en ai profité pour coder les regles de vérification de tous les
paramétres. Je les rappelle:

=>sy_lIfr_n_swf_| = 2048, toute autre valeur renvoie TM_LFR_TC_EXE_INCONSISTENT

=>sy_Ifr_n_swf p>=16

=>gy_Ifr_n_bp_p0>=1

=>sy_lIfr_n_bp_p1 >= 4 et obligatoirement un multiple entier de sy_Ifr_n_bp_p0

=>sy_Ifr_n_bp_p1 = obligatoirement un multiple entier de sy_Ifr_n_bp_p0

#4 - 17/06/2014 12:22 PM - bruno katra

- Status changed from Resolved to Closed

retesté en 1.0.0.10 : le soft ne plante plus et on recoit bien TM_LFR_TC_EXE_INCONSISTENT.

12:11:24.656171, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TC_PACKET =1,

DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=9278, (PACKET_SEQUENCE_CONTROL=0xe43e), PACKET LENGTH=15, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=0, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 = 13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF L = 2048, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO = 0(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = 0x76b1

12:11:24.658814, TM_LFR_TC_EXE_INCONSISTENT

Contexte:

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Ill (sans connecteurs sub-click)
Vhdl: mini-Ifr_0.1.16

Brique Star-Dundee S/N 46120065.

Soft:1.0.0.10 (variante sur carte finale)

TEST CASE : script SY_LFR_N_BP_PO0_failure.py dans SVS-0008

Files

SY_LFR_N_BP_PO0_failure.webm 2.37 MB 11/06/2014 bruno katra
